## ros-rolling-libyaml-vendor 1.2.0

=== debian/changelog ===
ros-rolling-libyaml-vendor (1.2.0-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#38 <https://github.com/ros2/libyaml_vendor/issues/38>)
  * Update libyaml_vendor to 0.2.5. (#37 <https://github.com/ros2/libyaml_vendor/issues/37>)
  * Contributors: Chris Lalancette, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.1.1-1focal) focal; urgency=high

  * Fix linker flags for tests when CMake < 3.13 (#35 <https://github.com/ros2/libyaml_vendor/issues/35>)
  * Always preserve source permissions in vendor packages (#31 <https://github.com/ros2/libyaml_vendor/issues/31>)
  * Contributors: Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.1.0-1focal) focal; urgency=high

  * Fix target_link_directories/link_directories in cmake (#29 <https://github.com/ros2/libyaml_vendor/issues/29>)
  * Included benchmark tests (#20 <https://github.com/ros2/libyaml_vendor/issues/20>)
  * Update Quality Declaration (#23 <https://github.com/ros2/libyaml_vendor/issues/23>)
  * Update package maintainers. (#22 <https://github.com/ros2/libyaml_vendor/issues/22>)
  * Bump QD to 3 and some minor style fixes (#19 <https://github.com/ros2/libyaml_vendor/issues/19>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#18 <https://github.com/ros2/libyaml_vendor/issues/18>)
  * Add quality declaration libyaml_vendor (#12 <https://github.com/ros2/libyaml_vendor/issues/12>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jorge Perez, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.2-1focal) focal; urgency=high

  * Quality declaration for external dependency libyaml (#14 <https://github.com/ros2/libyaml_vendor/issues/14>)
  * Add missing Contributing.md file (#17 <https://github.com/ros2/libyaml_vendor/issues/17>)
  * Export modern CMake interface target (#16 <https://github.com/ros2/libyaml_vendor/issues/16>)
  * Contributors: Dirk Thomas, Jorge Perez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.1-1focal) focal; urgency=high

  * Add missing export of yaml (#15 <https://github.com/ros2/libyaml_vendor/issues/15>)
  * Only propagate CMAKE_BUILD_TYPE for single configuration generators (#13 <https://github.com/ros2/libyaml_vendor/issues/13>)
  * Enable linter tests on libyaml_vendor (#8 <https://github.com/ros2/libyaml_vendor/issues/8>)
  * Add missing LICENSE file, apache2 (#7 <https://github.com/ros2/libyaml_vendor/issues/7>)

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.0-1focal) focal; urgency=high

  * remove version from CMake, use the one from package.xml instead (#5 <https://github.com/ros2/libyaml_vendor/issues/5>)
    * remove version from CMake, use the one from package.xml instead
    * removing version keyword as well
  * Export libyaml library (#4 <https://github.com/ros2/libyaml_vendor/issues/4>)
    * Export libyaml library
    * Remove lib prefix
  * Added support for Android (#2 <https://github.com/ros2/libyaml_vendor/issues/2>)
  * create libyaml_vendor (#1 <https://github.com/ros2/libyaml_vendor/issues/1>)
    * create libyaml
    * Don't install to include/config.h
  * Initial commit
  * Contributors: Mickael Gaillard, Mikael Arguedas, dhood

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 25 Jun 2018 00:00:00 -0000
