=== debian/control ===
Source: ros-rolling-libyaml-vendor
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-performance-test-fixture, ros-rolling-rcpputils, ros-rolling-ros-workspace
Homepage: https://github.com/yaml/libyaml
Standards-Version: 3.9.2

Package: ros-rolling-libyaml-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Vendored version of libyaml.
