## ros-rolling-libyaml-vendor 1.6.1

=== debian/changelog ===
ros-rolling-libyaml-vendor (1.6.1-1jammy) jammy; urgency=high

  * Set to C++17. (#59 <https://github.com/ros2/libyaml_vendor/issues/59>)
  * Switch to ament_cmake_vendor_package (#58 <https://github.com/ros2/libyaml_vendor/issues/58>)
  * Contributors: Chris Lalancette, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-libyaml-vendor (1.6.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-libyaml-vendor (1.5.0-1jammy) jammy; urgency=high

  * Fix system package dependency (#54 <https://github.com/ros2/libyaml_vendor/issues/54>)
  * Update libyaml_vendor to C++17. (#55 <https://github.com/ros2/libyaml_vendor/issues/55>)
  * [rolling] Update maintainers - 2022-11-07 (#53 <https://github.com/ros2/libyaml_vendor/issues/53>)
  * Contributors: Audrow Nash, Chris Lalancette, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-libyaml-vendor (1.4.2-1jammy) jammy; urgency=high

  * Remove a warning message. (#51 <https://github.com/ros2/libyaml_vendor/issues/51>)
  * check if libyaml is already present before building it (take 2) (#45 <https://github.com/ros2/libyaml_vendor/issues/45>)
  * Contributors: Chris Lalancette, Silvio Traversaro

 -- Scott K Logan <scott@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.4.1-1jammy) jammy; urgency=high

  * Mirror rolling to master
  * Support WindowsStore builds for ROS2 (#50 <https://github.com/ros2/libyaml_vendor/issues/50>)
    * libyaml for uwp
  * Contributors: Audrow Nash, Lou Amadio

 -- Scott K Logan <scott@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.4.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.3.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.2.2-1jammy) jammy; urgency=high

  * Add a buildtool dependency on git. (#48 <https://github.com/ros2/libyaml_vendor/issues/48>)
  * Contributors: Steven! Ragnarök

 -- Scott K Logan <scott@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.2.1-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#46 <https://github.com/ros2/libyaml_vendor/issues/46>)
  * Merge pull request #43 <https://github.com/ros2/libyaml_vendor/issues/43> from ros2/update-maintainers
  * Update maintainers to Audrow Nash
  * Contributors: Audrow Nash, Shane Loretz

 -- Scott K Logan <scott@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.2.0-1jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#38 <https://github.com/ros2/libyaml_vendor/issues/38>)
  * Update libyaml_vendor to 0.2.5. (#37 <https://github.com/ros2/libyaml_vendor/issues/37>)
  * Contributors: Chris Lalancette, shonigmann

 -- Scott K Logan <scott@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.1.1-1jammy) jammy; urgency=high

  * Fix linker flags for tests when CMake < 3.13 (#35 <https://github.com/ros2/libyaml_vendor/issues/35>)
  * Always preserve source permissions in vendor packages (#31 <https://github.com/ros2/libyaml_vendor/issues/31>)
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.1.0-1jammy) jammy; urgency=high

  * Fix target_link_directories/link_directories in cmake (#29 <https://github.com/ros2/libyaml_vendor/issues/29>)
  * Included benchmark tests (#20 <https://github.com/ros2/libyaml_vendor/issues/20>)
  * Update Quality Declaration (#23 <https://github.com/ros2/libyaml_vendor/issues/23>)
  * Update package maintainers. (#22 <https://github.com/ros2/libyaml_vendor/issues/22>)
  * Bump QD to 3 and some minor style fixes (#19 <https://github.com/ros2/libyaml_vendor/issues/19>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#18 <https://github.com/ros2/libyaml_vendor/issues/18>)
  * Add quality declaration libyaml_vendor (#12 <https://github.com/ros2/libyaml_vendor/issues/12>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jorge Perez, Michel Hidalgo

 -- Scott K Logan <scott@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.2-1jammy) jammy; urgency=high

  * Quality declaration for external dependency libyaml (#14 <https://github.com/ros2/libyaml_vendor/issues/14>)
  * Add missing Contributing.md file (#17 <https://github.com/ros2/libyaml_vendor/issues/17>)
  * Export modern CMake interface target (#16 <https://github.com/ros2/libyaml_vendor/issues/16>)
  * Contributors: Dirk Thomas, Jorge Perez

 -- Scott K Logan <scott@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.1-1jammy) jammy; urgency=high

  * Add missing export of yaml (#15 <https://github.com/ros2/libyaml_vendor/issues/15>)
  * Only propagate CMAKE_BUILD_TYPE for single configuration generators (#13 <https://github.com/ros2/libyaml_vendor/issues/13>)
  * Enable linter tests on libyaml_vendor (#8 <https://github.com/ros2/libyaml_vendor/issues/8>)
  * Add missing LICENSE file, apache2 (#7 <https://github.com/ros2/libyaml_vendor/issues/7>)

 -- Scott K Logan <scott@openrobotics.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.0-1jammy) jammy; urgency=high

  * remove version from CMake, use the one from package.xml instead (#5 <https://github.com/ros2/libyaml_vendor/issues/5>)
    * remove version from CMake, use the one from package.xml instead
    * removing version keyword as well
  * Export libyaml library (#4 <https://github.com/ros2/libyaml_vendor/issues/4>)
    * Export libyaml library
    * Remove lib prefix

